Loading...
Searching...
No Matches
etl::pseudo_moving_average< T, SAMPLE_SIZE, SCALING, IsIntegral, IsFloat > Class Template Reference

## Detailed Description

template<typename T, const size_t SAMPLE_SIZE, const size_t SCALING = 1U, const bool IsIntegral = etl::is_integral<T>::value, const bool IsFloat = etl::is_floating_point<T>::value>
class etl::pseudo_moving_average< T, SAMPLE_SIZE, SCALING, IsIntegral, IsFloat >

Pseudo Moving Average

Template Parameters

  T | The sample value type.
  SAMPLE_SIZE | The number of samples to average over.
  SCALING | The scaling factor applied to samples. Default = 1.

The documentation for this class was generated from the following file:

- include/etl/pseudo_moving_average.h